Name:		wis-streamer
Version:	0.9.8
Release:	1%{?dist}
Summary:	Stream server for wis-go7007 devices

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.live555.com/wis-streamer/
Source0:	http://www.live555.com/wis-streamer/source/wis-streamer.tar.gz
Patch0:         wis-streamer-includes.patch
Patch1:         wis-streamer-faac_shared.patch
Patch2:         wis-streamer-amr_shared.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#BuildRequires:	go7007-devel
BuildRequires:	live-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	faac-devel
BuildRequires:	amrnb-devel


%description
This package contains the "wis-streamer" tool. It is a standards-compliant 
RTSP/RTP server application that streams encoded video and audio from the 
Linux WIS GO7007 driver.



%prep
%setup -q -c
pushd wis-streamer
%patch0 -p1 -b .includes
%patch1 -p1 -b .faac_shared
%patch2 -p1 -b .amr_shared
popd

# Fake the live-devel static tree
for i in BasicUsageEnvironment UsageEnvironment groupsock liveMedia ; do
mkdir -p live/${i}
ln -fs %{_includedir}/${i} live/${i}/include
#ln -fs %{_libdir}/lib${i}_pic.a live/${i}
#sed -i -e "s|l${i}|l${i}_pic|" wis-streamer/Makefile
done

# Add our CFLAGS
sed -i -e 's|-g -Wall|${RPM_OPT_FLAGS} -fPIC|' wis-streamer/Makefile \
 wis-streamer/AMREncoder/Makefile wis-streamer/AACEncoder/Makefile

#rm -rf wis-streamer/{avcodec.h,videodev.h,videodev2.h,go7007.h}
#sed -i -e 's|liveMedia/include|liveMedia/include -I%{_includedir}/ffmpeg|' wis-streamer/Makefile
#Files bundled with ffmpeg
#rm -rf wis-streamer/{mpegaudiocommon.c,mpegaudio.c}

#System shared faac
#rm -rf wis-streamer/AACEncoder/
sed -i -e 's|"AACEncoder/faac.h"|<faac.h>|' wis-streamer/AACAudioEncoder.cpp
sed -i -e 's|-LAACEncoder -lAACEncoder|-L%{_libdir} -lfaac|' wis-streamer/Makefile
sed -i -e 's|AACEncoder/libAACEncoder.a||' wis-streamer/Makefile
sed -i -e 's|cd AACEncoder|#cd AACEncoder|' wis-streamer/Makefile
sed -i -e 's|AACEncoder/faac.h||' wis-streamer/Makefile

#System shared amrnb
#rm -rf wis-streamer/AMREncoder/
#sed -i -e 's|AMREncoder|amrnb|' wis-streamer/AMRAudioEncoder.cpp
sed -i -e 's|-LAMREncoder -lAMREncoder|-L%{_libdir} -lamrnb|' wis-streamer/Makefile
sed -i -e 's|AMREncoder/libAMREncoder.a||' wis-streamer/Makefile
sed -i -e 's|cd AMREncoder|#cd AMREncoder|' wis-streamer/Makefile
sed -i -e 's|AMREncoder/interf_enc.h AMREncoder/interf_rom.h||' wis-streamer/Makefile


%build
make -C wis-streamer %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -pm 0755 wis-streamer/wis-streamer $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/wis-streamer

%changelog
* Fri Dec 15 2006 kwizart < kwizart at gmail.com > - 0.9.8-1
- Initial spec.
